From: =?utf-8?q?David_Pr=C3=A9vot?= <taffit@debian.org>
Date: Thu, 30 Jan 2025 19:30:38 +0100
Subject: Compatibility with php-doctrine-persistence 4

---
 fixtures/f013/A.php                                              | 4 ++--
 fixtures/f013/B.php                                              | 4 ++--
 tests/DeepCopyTest/Matcher/Doctrine/DoctrineProxyMatcherTest.php | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/fixtures/f013/A.php b/fixtures/f013/A.php
index aa0393d..73b59cf 100644
--- a/fixtures/f013/A.php
+++ b/fixtures/f013/A.php
@@ -11,14 +11,14 @@ class A implements Proxy
     /**
      * @inheritdoc
      */
-    public function __load()
+    public function __load(): void
     {
     }
 
     /**
      * @inheritdoc
      */
-    public function __isInitialized()
+    public function __isInitialized(): bool
     {
     }
 }
diff --git a/fixtures/f013/B.php b/fixtures/f013/B.php
index 89425d8..82aace8 100644
--- a/fixtures/f013/B.php
+++ b/fixtures/f013/B.php
@@ -11,14 +11,14 @@ class B implements Proxy
     /**
      * @inheritdoc
      */
-    public function __load()
+    public function __load(): void
     {
     }
 
     /**
      * @inheritdoc
      */
-    public function __isInitialized()
+    public function __isInitialized(): bool
     {
     }
 
diff --git a/tests/DeepCopyTest/Matcher/Doctrine/DoctrineProxyMatcherTest.php b/tests/DeepCopyTest/Matcher/Doctrine/DoctrineProxyMatcherTest.php
index cecbb6c..30196cf 100644
--- a/tests/DeepCopyTest/Matcher/Doctrine/DoctrineProxyMatcherTest.php
+++ b/tests/DeepCopyTest/Matcher/Doctrine/DoctrineProxyMatcherTest.php
@@ -39,7 +39,7 @@ class FooProxy implements Proxy
     /**
      * @inheritdoc
      */
-    public function __load()
+    public function __load(): void
     {
         throw new BadMethodCallException();
     }
@@ -47,7 +47,7 @@ class FooProxy implements Proxy
     /**
      * @inheritdoc
      */
-    public function __isInitialized()
+    public function __isInitialized(): bool
     {
         throw new BadMethodCallException();
     }
